Email addresses
Delete an email address
DELETE
/
v1
/
email_addresses
/
{id}
Delete an email address
curl --request DELETE \
--url https://api.yorlet.com/v1/email_addresses/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/email_addresses/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/email_addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created": 123,
"object": "email_address",
"address": "<string>",
"agent": true,
"display_name": "<string>",
"domain": "<string>",
"local_part": "<string>",
"match_priority": "customer",
"account": "<string>",
"deleted": false
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Response
200 - application/json
Returns the deleted email address.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
Available options:
email_address The full email address, lowercase.
Whether this is the address the agent sends from. At most one address per account may be flagged.
The display name used in the From header.
The domain portion of the address.
The local-part portion of the address.
Which party to match first when an inbound sender could be a customer or an owner. Defaults to customer.
Available options:
customer, owner The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Was this page helpful?
Delete an email address
